<div class="container_city bg-light fs14 "  >
    <!-- SEARCH INPUT -->
    <div class="nj-form-group"  style="margin: 0 !important;">
      <form (submit)="$event.preventDefault()">
        <mat-form-field appearance="fill" class="w-100" style="font-family: 'Montserrat', sans-serif !important;">
          <mat-label class="text_darkmode">Cerca</mat-label>
            <input  
              autocomplete="off"
              matInput type="text"
              name="searchText"
              #searchText="ngModel" 
              [(ngModel)]="search"
              (keyup)="filterResults()"
              class="text_darkmode"
              
            >
        </mat-form-field>
      </form>
    </div>

    <!-- SEARCH RESULTS -->
    <div *ngIf="filteredImpianti.features.length > 0 && trimmed != ''" 
      class="list-group"
      style="padding-bottom: 10px;"
      >
        
      <button 
          *ngFor="let impianto of filteredImpianti.features;let i = index "
          (click)="selectImpianti(i)" 
          class="list-group-item list-group-item-action text fs11 noBorder">
            {{ impianto['properties']['indirizzo'] }}
      </button>
        
    </div>
  </div>